visp (3.3.0-3) unstable; urgency=medium

  * Source only upload for debian build 

 -- Olivier Sallou <osallou@debian.org>  Mon, 20 Apr 2020 06:39:29 +0000

visp (3.3.0-2) unstable; urgency=medium

  [ Fabien Spindler ]
  * Add patch to fix build and test on s390x big endian arch
  * Update control file to install missing dev packages (Closes: #945384)
  * Add patch to fix spelling errors detected by lintian

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Fri, 28 Feb 2020 08:40:50 +0100

visp (3.3.0-1) unstable; urgency=medium

  * Remove 3.2.0 patches
  * New upstream version 3.3.0
  * Update debian material for visp 3.3.0 (Closes: #922600) (Closes: #945384)
  * Add patches for visp 3.3.0
  * Update copyright file
  * lintian overrides source-contains-prebuilt-java-object
  * lintian overrides rules-requires-root-missing
  * Fix multiarch hinter issue on libvisp-dev

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Mon, 17 Feb 2020 10:04:07 +0100

visp (3.2.0-2) unstable; urgency=medium

  * Mute lintian warning privacy-breach-generic
  * Remove useless SoQt 3rd party usage (Closes: #944548)
  * Upgrade debhelper compat version as suggested by lintian

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Thu, 28 Nov 2019 12:37:06 +0100

visp (3.2.0-1) unstable; urgency=medium

  * Remove 3.1.0 patches
  * New upstream version 3.2.0
  * Remove deprecated files used to package visp 3.0.0
  * Rename packages to match release version
  * Update debian material for visp 3.2.0
  * Add patches for visp 3.2.0
  * Set CMAKE_INSTALL_LIBDIR
  * Fix lintian warnings
  * Remove dbg packages to satisfy lintian
    debian-control-has-obsolete-dbg-package
  * Fix out of date standards version
  * Remove trailing whitespaces
  * Fix dh_shlibs issue introcucing a new patch
  * Add patch to consider empty logname
  * Fix lintian doc-base-file-references-missing-file
  * Rename package files

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Fri, 25 Jan 2019 16:22:41 +0100

visp (3.1.0-1) unstable; urgency=medium

  * Remove 3.0.1 patches
  * New upstream version 3.1.0
  * Update debian material for visp 3.1.0
    Fix debian issues: Closes: #856703, #878937, #871414
  * Add patches for visp 3.1.0
  * Add libvisp-imgproc-dev
  * Fix lintian warnings
  * Remove Coin3D usage since it produces a segfault in mbt examples
    when calling SoDB::Init()

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Thu, 28 Dec 2017 10:31:31 +0100

visp (3.0.1-1) unstable; urgency=medium

  * Update watch file
  * Remove 3.0.0 patches
  * New upstream version 3.0.1
  * Update debian material for visp 3.0.1
    - fix lintian warnings ancient-standards-version,
      spelling-error-in-description (duplicate word) vision
    - install module meta header include
    - old visp headers are installed with libvisp-dev to ensure usage when
      all modules are installed
    - install includes in arch triplet
  * Add patches for visp 3.0.1

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Wed, 08 Feb 2017 09:46:36 +0100

visp (3.0.0-4) unstable; urgency=medium

  * Remove libusb-1.0-0-dev explicit dependency that will come from
    libfreenect-dev implicit dep.
  * Remove libfreenect also for kfreebsd-amd64 and kfreebsd-i386
    (BD-Uninstallable)
  * Since Ogre removal, remove dh_override_install (Closes: #813564)
  * Remove doxygen-latex useless dependency

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Wed, 03 Feb 2016 11:56:55 +0100

visp (3.0.0-3) unstable; urgency=medium

  * Remove Ogre and Ois dependencies to prevent ViSP from autoremoval
    from testing on 2016-02-19 due to a transitively dependency on blender
    affected by RC bug(s) 804678 and 810065.

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Mon, 01 Feb 2016 18:00:21 +0100

visp (3.0.0-2) unstable; urgency=medium

  * Fix missing Breaks/Replaces relation to fix upgrade from
    testing (Closes: #810354)
  * Switch to libusb-1.0 (Closes: #810464)
  * Introduce patches to fix issues

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sat, 09 Jan 2016 18:23:36 +0100

visp (3.0.0-1) unstable; urgency=medium

  * Update watch file since website migration
  * Imported Upstream version 3.0.0
  * Update debian material for ViSP 3.0.0

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Thu, 31 Dec 2015 18:53:34 +0100

visp (2.10.0+dfsg-2) unstable; urgency=medium

  * Make testing arch dependent (Closes: #806876)
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev
    (Closes: #807228)

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Mon, 07 Dec 2015 21:54:33 +0100

visp (2.10.0+dfsg-1) unstable; urgency=medium

  * Replace lena non dfsg images by monkey images (Closes: #794861)
  * Bashism in /bin/sh script already fixed since 2.10.0-1 (Closes: #772331)

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Fri, 18 Sep 2015 10:43:50 +0200

visp (2.10.0-4) unstable; urgency=medium

  * Add patch to make build reproductible (Closes: #790074).

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Wed, 15 Jul 2015 10:31:53 +0200

visp (2.10.0-3) unstable; urgency=medium

  * Override dh_install to avoid an error on kfreebsd where usr/lib/*/visp/*
    doesn't exist

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Mon, 18 May 2015 08:49:35 +0200

visp (2.10.0-2) unstable; urgency=medium

  * Add patch to fix segfault on sparc, powerpc...
  * Override dh_install to avoid an error on hurd where usr/lib/*/visp/*
    doesn't exist

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Tue, 12 May 2015 14:38:23 +0200

visp (2.10.0-1) unstable; urgency=medium

  * Imported Upstream version 2.10.0
  * Remove obsolete patches, bump ABI to 2.10
  * Fix lintian dep5-copyright-license-name-not-unique and
    space-in-std-short-name-in-dep5-copyright warnings
  * Override lintian embedded-javascript-library warning
  * Add patch to install headers in architecture triplet
  * Add patch to be able to use the library either from build dir of from
    install dir. Now VISP_SCENES_DIR, VISP_ROBOT_ARMS_DIR,
    VISP_HAVE_OGRE_PLUGINS_PATH, VISP_HAVE_OGRE_RESOURCES_PATH defined in
    vpConfig.h may contain multiple path locations separated with ; character.
    These locations are the one to found the resources in the build tree, and
    the one to found the resources in the install tree.

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sun, 15 Mar 2015 10:38:16 +0100

visp (2.9.0-3) unstable; urgency=medium

  * Add patch to solve update failure detected by piuparts (Closes: #754657)
  * debian/libvisp2.9.install: install share/visp* directories
  * Check gpg signature in debian/watch

 -- Thomas Moulard <thomas.moulard@gmail.com>  Mon, 21 Jul 2014 22:41:49 +0900

visp (2.9.0-2) unstable; urgency=medium

  * Add patch to fix arch-dependent files in "Multi-Arch: same" package
    (Closes: #754163, #754164)
  * Add patch to avoid linking against libgslcblas.so if possible.

 -- Thomas Moulard <thomas.moulard@gmail.com>  Fri, 11 Jul 2014 03:50:14 +0900

visp (2.9.0-1) unstable; urgency=medium

  [ Fabien Spindler ]
  * Imported upstream version 2.9.0
  * Remove obsolete patches, bump ABI to 2.9.
  * Add patch to install vpConfig.h in include architecture triplet
  * Add dependency to libgsl0-dev 3rd party
  * Fix libdc1394 usage
  * Add patch to fix build issues with ffmpeg libraries
  * debian/control: Add Fabien Spindler as uploader.

 -- Thomas Moulard <thomas.moulard@gmail.com>  Tue, 24 Jun 2014 13:41:34 +0900

visp (2.8.0-5) unstable; urgency=medium

  * Add patches to fix CMake issues with GTK and libusb (Closes: #738391).

 -- Thomas Moulard <thomas.moulard@gmail.com>  Thu, 20 Feb 2014 11:29:50 +0900

visp (2.8.0-4) unstable; urgency=medium

  * debian/tests/build: Route stderr from test to stdout (Closes: #726983).
  * Make visp-config arch-independent (Closes: #728783)
  * Update Debian policy to 3.9.5
  * Do not use pkg-kde-tools anymore.

 -- Thomas Moulard <thomas.moulard@gmail.com>  Fri, 17 Jan 2014 15:25:16 +0900

visp (2.8.0-3) unstable; urgency=low

  * Disable libfreenect on Hurd (again)
  * Disable parallelism when running the tests suite (again)
  * Fix minor bugs remaining in 2.8.0-2
  * Relax build-dependency on libcoin to allow easy backporting
  * Add patch to fix portability issue in vpLex.c (see #723803)
  * Allow the test suite to fail on ia64 for now (Closes: #723803)
  * Build against libogre-1.9-dev while allowing 1.8 or later versions
    to ease backporting.
  * Revert "Update libsoqt4-dev dependency to ensure libcoin80 is used."
  * Add patch to fix compilation issue with Ogre 1.9

 -- Thomas Moulard <thomas.moulard@gmail.com>  Fri, 27 Sep 2013 09:55:59 +0900

visp (2.8.0-2) unstable; urgency=low

  * debian/control: libvisp2.8 breaks+replaces libvisp2 (Closes: #722647).
  * debian/rules: disable parallelism in tests (Closes: #722565).
  * Disable properly Freenect on hurd-i386

 -- Thomas Moulard <thomas.moulard@gmail.com>  Fri, 13 Sep 2013 11:22:16 +0900

visp (2.8.0-1) unstable; urgency=low

  * Import new upstream release 2.8.0.
  * Abandon symbols file support.

 -- Thomas Moulard <thomas.moulard@gmail.com>  Thu, 25 Jul 2013 11:24:53 +0900

visp (2.7.0-5) unstable; urgency=low

  * Look for and compile against Boost.System when Ogre is used.
  * Disable libv4l-dev dependecy on hurd-i386.
  * Build documentation in override_dh_auto_build-indep.
  * Run tests but ignore failures for now.
  * Enable test suite, make package depend on visp-images-data.
  * Add autopkgtest support.
  * Add autopkgtest "build" test: compile a minimal test.

 -- Thomas Moulard <thomas.moulard@gmail.com>  Thu, 13 Jun 2013 11:47:20 +0900

visp (2.7.0-4) unstable; urgency=low

  * debian/rules: fix compilation on non-linux platforms
    by disabling optional features which are not available locally.
  * debian/libvisp2.symbols: update symbols using pkgkde-symbolshelper and
    the result of 2.7.0-3 compilation on buildd.

 -- Thomas Moulard <thomas.moulard@gmail.com>  Sun, 09 Jun 2013 20:00:48 +0900

visp (2.7.0-3) unstable; urgency=low

  * Do not package usr/share/visp/ViSP-third-party.txt (Closes: #707755).
  * Install vpConfig.h in include/<architecture triplet> (Closes: #707754).
  * Update CMake-related files for multiarch support and install them
    in usr/lib/<arch>/visp.
  * Update from libcoin60 to libcoin80.
  * debian/control: Refer to git.debian.org repository in Vcs-* fields.

 -- Thomas Moulard <thomas.moulard@gmail.com>  Wed, 15 May 2013 14:47:32 +0900

visp (2.7.0-2) unstable; urgency=low

  * Update symbols file for armel, armhf, i386, ia64, mips, mipsel,
    powerpc, s390, s390x, sparc architectures using pkgkde-getbuildlogs
    (Closes: #704719).
  * Disable opencv support on sparc64 and x32.
  * Disable OGRE support on sh4.
  * Disable libdc1394 support on all non-linux platforms.

 -- Thomas Moulard <thomas.moulard@gmail.com>  Fri, 26 Apr 2013 10:47:10 +0900

visp (2.7.0-1) unstable; urgency=low

  * New upstream release.
  * Use pkg-kde-tools to handle library symbols.
  * Depend on OGRE v1.8 instead of 1.7 (Closes: #704783).
  * Backport pkg-config support from upstream to add multiarch support
    for development package (libvisp-dev).
  * Backport from upstream various minors bug fix detected by cppcheck.
  * Depend on libois-dev on Linux only.
  * Remove all patches from 2.6.2-1 as the new upstream release fixes these
    issues.

 -- Thomas Moulard <thomas.moulard@gmail.com>  Thu, 25 Apr 2013 15:03:05 +0900

visp (2.6.2-1) unstable; urgency=low

  * Import new upstream version 2.6.2 (Closes: #691252).
  * Add patch to rename libvisp-2.so into libvisp.so.
  * Add patch to support multiarch (avoid making the assumption that
    $prefix/lib is the library directory but use $libdir instead).
  * Add patch that fix typos in source code.
  * Provide visp-config man page.

 -- Thomas Moulard <thomas.moulard@gmail.com>  Tue, 04 Dec 2012 10:59:26 +0900
